package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 任务定时执行对象 schedule_task
 * 
 * @author ruoyi
 * @date 2024-07-24
 */
public class ScheduleTask extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增主键ID */
    private Long id;

    /** 飞机的SN */
    @Excel(name = "飞机的SN")
    private String sn;

    /** taskId */
    @Excel(name = "taskId")
    private String taskId;

    /** 执行的月、可以使用 * */
    @Excel(name = "执行的月、可以使用 *")
    private String execMonth;

    /** 执行的日、可以使用 * */
    @Excel(name = "执行的日、可以使用 *")
    private String execDay;

    /** 执行的时 */
    @Excel(name = "执行的时")
    private String execHour;

    /** 执行的分 */
    @Excel(name = "执行的分")
    private String execMinute;

    /** 执行的秒 */
    @Excel(name = "执行的秒")
    private String execSecond;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSn(String sn) 
    {
        this.sn = sn;
    }

    public String getSn() 
    {
        return sn;
    }
    public void setTaskId(String taskId) 
    {
        this.taskId = taskId;
    }

    public String getTaskId() 
    {
        return taskId;
    }
    public void setExecMonth(String execMonth) 
    {
        this.execMonth = execMonth;
    }

    public String getExecMonth() 
    {
        return execMonth;
    }
    public void setExecDay(String execDay) 
    {
        this.execDay = execDay;
    }

    public String getExecDay() 
    {
        return execDay;
    }
    public void setExecHour(String execHour) 
    {
        this.execHour = execHour;
    }

    public String getExecHour() 
    {
        return execHour;
    }
    public void setExecMinute(String execMinute) 
    {
        this.execMinute = execMinute;
    }

    public String getExecMinute() 
    {
        return execMinute;
    }
    public void setExecSecond(String execSecond) 
    {
        this.execSecond = execSecond;
    }

    public String getExecSecond() 
    {
        return execSecond;
    }
    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sn", getSn())
            .append("taskId", getTaskId())
            .append("execMonth", getExecMonth())
            .append("execDay", getExecDay())
            .append("execHour", getExecHour())
            .append("execMinute", getExecMinute())
            .append("execSecond", getExecSecond())
            .append("createdAt", getCreatedAt())
            .toString();
    }
}
